# module Mysql2::Util

For holding utility methods

### Constants

TimeoutError

  rubocop:disable Style/ConstantName

### Public Class Methods

key_hash_as_symbols(hash) click to toggle source

Rekey a string-keyed hash with equivalent symbols.

    # File lib/mysql2.rb, line 58
    def self.key_hash_as_symbols(hash)
      return nil unless hash
      Hash[hash.map { |k,v| [k.to_sym, v] }]
    end